Bug 151411 - hard drive geometry changed
hard drive geometry changed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Cantrell
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 13:13 EST by Chuck Forsberg
Modified: 2008-02-15 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 17:32:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chuck Forsberg 2005-03-17 13:13:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050223 Firefox/1.0.1

Description of problem:
After FC4 install, geometry on a 124 gb IBM HD wa changed from
16383,16,63   to  59131,16,255

This causes subsequent attempts to install XP Home to crash.

ISO files were verified with sha1sum, burned and verified with Nero.
All disks fail the Linux disk scan on 4 differenr machines.

caf@omen.com


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load FC4 
2.Boot XP distriution disk
3.  Try to partition HD from XP installer

Actual Results:  Hard drive geom changed, Win XO installer crashes

Expected Results:  Expected normal installation and XP cpmpatibility
as with FC3 Release install.

Additional info:
Comment 1 Chris Lumens 2005-03-18 10:13:28 EST
How many drives are in the machine, what interface are they connected to, and
what model numbers are they?
Comment 2 Chuck Forsberg 2005-03-18 10:28:31 EST
Drive is IBM Deskstar IC35L120AVVA07-0

Motherboaed ABIT KR7A-RAID  AMD 1900  1.5gb ram

One HD Primaty master
DVD R/W Seconday master

I have not been able to restore the original geometry.
The sfdisk procedure does not work.

BTW  All ISO files passed sha1sum
Discs burned and verified with Nero
Discs (CD and two copies of DVD iso) failed mediacheck
on four different machines
Comment 3 Chuck Forsberg 2005-03-24 19:59:51 EST
I was able to make the HD reusable by repeatedly applying sfdisk
anf fdisk with the special DOS command.
Comment 4 Andrew Clausen 2005-03-25 01:38:33 EST
59131,16,255 isn't a valid CHS geometry.  I am not aware of any
programs that would display such a number.  Where did you get the number from?
Comment 5 Chuck Forsberg 2005-03-25 01:42:22 EST
This is what FC4 test1 changed it to,
according to sfdisk.
Comment 6 Christian Iseli 2007-01-22 06:42:38 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Matthew Miller 2007-04-06 11:07:45 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 8 petrosyan 2008-02-15 17:32:31 EST
Fedora Core 4 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.